Bug 1195054 - (Net_LDAP2) Review Request: php-pear-Net-LDAP2 - Object oriented interface for searching and manipulating LDAP-entries
Review Request: php-pear-Net-LDAP2 - Object oriented interface for searching ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kolab/net_ldap3
  Show dependency treegraph
 
Reported: 2015-02-22 09:47 EST by Remi Collet
Modified: 2015-03-11 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-pear-Net-LDAP2-2.1.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 07:39:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
puiterwijk: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2015-02-22 09:47:23 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/5520cde8da4bd6b08f6a43f0e1eaefc0d71c0b53/php/pear/php-pear-Net-LDAP2/php-pear-Net-LDAP2.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-Net-LDAP2-2.1.0-1.remi.src.rpm
Description: 
Net_LDAP2 is the successor of Net_LDAP (which is a clone of Perls Net::LDAP)
object interface to directory servers. It does contain most of Net::LDAPs
features but has some own too.

With Net_LDAP2 you have:
* A simple object-oriented interface to connections,
  searches entries and filters.
* Support for TLS and LDAP v3.
* Simple modification, deletion and creation of LDAP entries.
* Support for schema handling.

Net_LDAP2 layers itself on top of PHP's existing ldap extensions.
Fedora Account System Username: remi


-- 

This is an optional dependency of roundcubemail.

As usually, I will clean the old EL-5 stuff after import.
Comment 1 Remi Collet 2015-02-22 09:49:34 EST
@limb you may be interested by this one.
Comment 2 Gwyn Ciesla 2015-02-23 15:34:05 EST
Good:

- rpmlint checks return:

php-pear-Net-LDAP2.src: W: spelling-error %description -l en_US LDAPs -> Laps, Leaps, Lapps
The value of this tag appears to be misspelled. Please double-check.

php-pear-Net-LDAP2.src: W: spelling-error %description -l en_US ldap -> lap, leap, dapple
The value of this tag appears to be misspelled. Please double-check.

Ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license ( LPGLv3 ) OK
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Everything looks great.
Comment 3 Remi Collet 2015-02-24 02:11:32 EST
Thanks for the review

New Package SCM Request
=======================
Package Name: php-pear-Net-LDAP2
Short Description: Object oriented interface for searching and manipulating LDAP-entries
Upstream URL: http://pear.php.net/package/Net_LDAP2
Owners: remi
Branches: f20 f21 f22 el6 epel7
InitialCC:
Comment 4 Patrick Uiterwijk 2015-02-24 05:11:14 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-02-24 07:12:31 EST
php-pear-Net-LDAP2-2.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-Net-LDAP2-2.1.0-1.el6
Comment 6 Fedora Update System 2015-02-24 07:12:36 EST
php-pear-Net-LDAP2-2.1.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-pear-Net-LDAP2-2.1.0-1.el7
Comment 7 Fedora Update System 2015-02-24 07:12:40 EST
php-pear-Net-LDAP2-2.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-pear-Net-LDAP2-2.1.0-1.fc21
Comment 8 Fedora Update System 2015-02-24 07:13:48 EST
php-pear-Net-LDAP2-2.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pear-Net-LDAP2-2.1.0-1.fc20
Comment 9 Fedora Update System 2015-02-24 16:21:04 EST
php-pear-Net-LDAP2-2.1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2015-03-05 07:39:06 EST
php-pear-Net-LDAP2-2.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 11 Fedora Update System 2015-03-05 07:40:03 EST
php-pear-Net-LDAP2-2.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2015-03-11 12:40:23 EDT
php-pear-Net-LDAP2-2.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Fedora Update System 2015-03-11 12:40:48 EDT
php-pear-Net-LDAP2-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.